// SplitDialogDemoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SplitDialogDemo.h"
#include "SplitDialogDemoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSplitDialogDemoDlg dialog

CSplitDialogDemoDlg::CSplitDialogDemoDlg(CWnd* pParent /*=NULL*/)
	: CSplitDialog(CSplitDialogDemoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSplitDialogDemoDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSplitDialogDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CSplitDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSplitDialogDemoDlg)
	DDX_Control(pDX, IDC_TREECTRL, m_treectrl);
	DDX_Control(pDX, IDC_LISTBOX, m_listbox);
	DDX_Control(pDX, IDC_LIST2, m_listctrl);
	DDX_Control(pDX, IDC_COMBO1, m_combo);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSplitDialogDemoDlg, CSplitDialog)
	//{{AFX_MSG_MAP(CSplitDialogDemoDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSplitDialogDemoDlg message handlers

BOOL CSplitDialogDemoDlg::OnInitDialog()
{
	CSplitDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
  //create the panes
  m_PaneMain = CreatePane(CPane::ST_VERTICAL);
  m_PaneLeft = CreatePane(CPane::ST_HORIZONTAL,m_PaneMain,1,FALSE);
  m_PaneRight = CreatePane(CPane::ST_HORIZONTAL,m_PaneMain,2);
  //assign the controls
  SetPaneWnd(m_PaneLeft,&m_combo,1);
  SetPaneWnd(m_PaneLeft,&m_treectrl,2);
  SetPaneWnd(m_PaneRight,&m_listbox,1);
  SetPaneWnd(m_PaneRight,&m_listctrl,2);

  SetTopOffset(30);

  Initialize();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSplitDialogDemoDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CSplitDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSplitDialogDemoDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CSplitDialogDemoDlg::OnButton1() 
{
static BOOL show = TRUE;
  show = (show ? FALSE : TRUE);
  ShowPane(m_PaneLeft,show,1);
}

void CSplitDialogDemoDlg::OnButton2() 
{
static BOOL show = TRUE;
  show = (show ? FALSE : TRUE);
  ShowPane(m_PaneMain,show,2);
}
